> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://uploadcare.com/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://uploadcare.com/docs/_mcp/server.

# List of webhooks

GET https://api.uploadcare.com/webhooks/

List of project webhooks.

Reference: https://uploadcare.com/docs/api/rest/webhook/webhooks-list

## Authentication

- `Authorization` header (required) — Every request made to `https://api.uploadcare.com/` MUST be signed. HTTPS SHOULD be used with any authorization scheme. Requests MUST contain the `Authorization` header defining `auth-scheme` and `auth-param`: `Authorization: auth-scheme auth-param`. Every request MUST contain the `Accept` header identifying the REST API version: `Accept: application/vnd.uploadcare-v0.7+json`. There are two available authorization schemes: * For production: `Uploadcare`, a scheme where a `signature`, not your Secret API Key MUST be specified. Signatures SHOULD be generated on backend. * For quick tests: `Uploadcare.Simple`, a simple scheme where your [Secret API Key](https://app.uploadcare.com/projects/-/api-keys/) MUST be specified in every request's `auth-param`.

## Request

### Headers

- `Accept` (string, required) — Version header.

## Response

### 200

List of project webhooks.

- `list of webhook_of_list_response`

## Errors

### 400 Bad Request Error

Simple HTTP Auth or webhook permission errors.

- `WebhooksListRequestBadRequestError`

### 401 Unauthorized Error

Authorization errors.

- `detail` (enum, optional)
  - Allowed values: `Incorrect authentication credentials.`, `Public key {public_key} not found.`, `Secret key not found.`, `Invalid signature. Please check your Secret key.`

### 406 Not Acceptable Error

Invalid version header `Accept` for this endpoint.

- `detail` (string, optional, default: Incorrect Accept header provided. Make sure to specify API version. Refer to REST API docs for details.)

### 429 Too Many Requests Error

Request was throttled.

- `detail` (string, optional)

## Types

### webhook_of_list_response

Webhook.

- `id` (integer, optional) — Webhook's ID.
- `project` (integer, optional) — Project ID the webhook belongs to.
- `created` (datetime, optional) — date-time when a webhook was created.
- `updated` (datetime, optional) — date-time when a webhook was updated.
- `event` (enum, optional) — An event you subscribe to.
  - Allowed values: `file.uploaded`, `file.infected`, `file.stored`, `file.deleted`, `file.info_updated`
- `target_url` (string, optional) — A URL that is triggered by an event, for example, a file upload. A target URL MUST be unique for each `project` — `event type` combination.
- `is_active` (boolean, optional, default: true) — Marks a subscription as either active or not, defaults to `true`, otherwise `false`.
- `version` (enum, optional) — Webhook payload's version.
  - Allowed values: ``, `0.5`, `0.6`, `0.7`
- `signing_secret` (string, optional) — Optional [HMAC/SHA-256](https://en.wikipedia.org/wiki/HMAC) secret that, if set, will be used to calculate signatures for the webhook payloads sent to the `target_url`. Calculated signature will be sent to the `target_url` as a value of the `X-Uc-Signature` HTTP header. The header will have the following format: `X-Uc-Signature: v1=<HMAC-SHA256-HEX-DIGEST>`. See [Secure Webhooks](https://uploadcare.com/docs/webhooks/#signed-webhooks) for details.

### simpleAuthHTTPForbidden

- `detail` (string, optional, default: Simple authentication over HTTP is forbidden. Please, use HTTPS or signed requests instead.)

### cantUseWebhooksError

- `detail` (string, optional, default: You can't use webhooks)

## Examples

**Response**

```json
[
  {
    "id": 1234,
    "project": 39123,
    "created": "2018-11-26T12:49:10.477888Z",
    "updated": "2018-11-26T12:49:10.477888Z",
    "event": "file.uploaded",
    "target_url": "http://example.com/hooks/receiver",
    "is_active": false,
    "version": "0.7",
    "signing_secret": "7kMVZivndx0ErgvhRKAr"
  }
]
```

**SDK Code**

```javascript JS
import {
  listOfWebhooks,
  UploadcareSimpleAuthSchema,
} from '@uploadcare/rest-client';

const uploadcareSimpleAuthSchema = new UploadcareSimpleAuthSchema({
  publicKey: 'YOUR_PUBLIC_KEY',
  secretKey: 'YOUR_SECRET_KEY',
});

const result = await listOfWebhooks({}, { authSchema: uploadcareSimpleAuthSchema })

```

```php PHP
<?php
$configuration = Uploadcare\Configuration::create((string) $_ENV['UPLOADCARE_PUBLIC_KEY'], (string) $_ENV['UPLOADCARE_SECRET_KEY']);

$api = (new Uploadcare\Api($configuration))->webhook();
foreach ($api->listWebhooks() as $webhook) {
    \sprintf("Webhook with url %s is %s\n", $webhook->getTargetUrl(), $webhook->isActive() ? 'active' : 'not active');
}

```

```python Python
from pyuploadcare import Uploadcare, Webhook
uploadcare = Uploadcare(public_key='YOUR_PUBLIC_KEY', secret_key='YOUR_SECRET_KEY')

webhooks: list[Webhook] = list(uploadcare.list_webhooks(limit=10))
for w in webhooks:
    print(w.id)

```

```ruby Ruby
require 'uploadcare'
Uploadcare.config.public_key = 'YOUR_PUBLIC_KEY'
Uploadcare.config.secret_key = 'YOUR_SECRET_KEY'

webhooks = Uploadcare::Webhook.list
webhooks.each { |webhook| puts webhook.inspect }

```

```swift Swift
import Uploadcare

let uploadcare = Uploadcare(withPublicKey: "YOUR_PUBLIC_KEY", secretKey: "YOUR_SECRET_KEY")

let webhooks = try await uploadcare.getListOfWebhooks()
for webhook in webhooks {
  print(webhook)
}

```

```kotlin Kotlin
import com.uploadcare.android.library.api.UploadcareClient

val uploadcare = UploadcareClient(publicKey = "YOUR_PUBLIC_KEY", secretKey = "YOUR_SECRET_KEY")

val webhooks = uploadcare.getWebhooks()
Log.d("TAG", webhooks.toString())

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.uploadcare.com/webhooks/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/vnd.uploadcare-v0.7+json")
	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.uploadcare.com/webhooks/")
  .header("Accept", "application/vnd.uploadcare-v0.7+json")
  .header("Authorization", "<apiKey>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.uploadcare.com/webhooks/");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/vnd.uploadcare-v0.7+json");
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```